%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-googlevoice
Version:        0.5
Release:        13%{?dist}
Summary:        Python language bindings for the Google Voice API

Group:          Development/Languages
License:        BSD
URL:            http://code.google.com/p/pygooglevoice/
Source0:        http://pygooglevoice.googlecode.com/files/pygooglevoice-%{version}.tar.gz
Source1:        http://pygooglevoice.googlecode.com/files/pygooglevoice-%{version}-extras.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-setuptools

Provides:       pygooglevoice = %{version}

%description
This project aims to bring the power of the Google Voice API to the
Python language in a simple, easy-to-use manner. Currently it allows
you to place calls, send sms, download voicemails/recorded messages,
and search the various folders of your Google Voice Accounts. You can
use the Python API or command line script to schedule calls, check for
new received calls/sms, or even sync your recorded voicemails/calls.

%prep
%setup0 -q -n pygooglevoice-%{version} -a 1

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc doc examples
%{_bindir}/asterisk-gvoice-setup
%{_bindir}/gvoice
%{_bindir}/gvi
%{python_sitelib}/*

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-12
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 0.5-9
- Replace the python-setuptools-devel BR with python-setuptools

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 31 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue May 11 2010 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.5-1
- Update to 0.5

* Sun Nov  1 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.4-2
- Remove unnecessary comments
- Remove CFLAGS="$RPM_OPT_FLAGS" which is unneeded in a noarch package

* Sat Oct 31 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.4-1
- First version for Fedora
